# ConstraintActuator Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A ConstraintActuator is a special kind of a general actuator More...

`#include <constraintactuator.h>`

Inherits: Actuator

## Public Members

- ConstraintActuator ()
- ~ConstraintActuator ()
- PyObject* getMax ()
- PyObject* setMax (float upper_bound)
- PyObject* getMin ()
- PyObject* setMin (float lower_bound)
- PyObject* getDamp ()
- PyObject* setDamp (int duration)
- PyObject* setLimit (int type)
- PyObject* getLimit ()

## Detailed Description

A ConstraintActuator is a special kind of a general actuator.

## PyObject* getMax()

Returns the upper value of the interval to which the value is clipped.

## PyObject* setMax(float upper_bound)

Sets the upper value of the interval to which the value is clipped.

## PyObject* getMin()

Returns the lower value of the interval to which the value is clipped.

## PyObject* setMin(float lower_bound)

Sets the lower value of the interval to which the value is clipped.

## PyObject* getDamp()

Returns the damping time for application of the constraint.

## PyObject* setDamp(int duration)

Sets the time with which the constraint application is delayed. If the duration is negative, it is set to 0.

## PyObject* setLimit(int type)

Sets the type of constraint. The variable type can be KX_CONSTRAINTACT_LOCX, KX_CONSTRAINTACT_LOCY, KX_CONSTRAINTACT_LOCZ, KX_CONSTRAINTACT_ROTX, KX_CONSTRAINTACT_ROTY, or KX_CONSTRAINTACT_ROTZ.

## PyObject* getLimit()

Returns the type of constraint.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc